<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>CreateAccountOptions | dblurt</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">dblurt</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="createaccountoptions.html">CreateAccountOptions</a>
				</li>
			</ul>
			<h1>Interface CreateAccountOptions</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">CreateAccountOptions</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="createaccountoptions.html#auths" class="tsd-kind-icon">auths</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="createaccountoptions.html#creator" class="tsd-kind-icon">creator</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="createaccountoptions.html#delegation" class="tsd-kind-icon">delegation</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="createaccountoptions.html#fee" class="tsd-kind-icon">fee</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="createaccountoptions.html#metadata" class="tsd-kind-icon">metadata</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="createaccountoptions.html#password" class="tsd-kind-icon">password</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="createaccountoptions.html#username" class="tsd-kind-icon">username</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="auths" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> auths</h3>
					<div class="tsd-signature tsd-kind-icon">auths<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-symbol">{ </span>active<span class="tsd-signature-symbol">: </span><a href="authoritytype.html" class="tsd-signature-type">AuthorityType</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><a href="../classes/publickey.html" class="tsd-signature-type">PublicKey</a><span class="tsd-signature-symbol">; </span>memoKey<span class="tsd-signature-symbol">: </span><a href="../classes/publickey.html" class="tsd-signature-type">PublicKey</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">; </span>owner<span class="tsd-signature-symbol">: </span><a href="authoritytype.html" class="tsd-signature-type">AuthorityType</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><a href="../classes/publickey.html" class="tsd-signature-type">PublicKey</a><span class="tsd-signature-symbol">; </span>posting<span class="tsd-signature-symbol">: </span><a href="authoritytype.html" class="tsd-signature-type">AuthorityType</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><a href="../classes/publickey.html" class="tsd-signature-type">PublicKey</a><span class="tsd-signature-symbol"> }</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in helpers/broadcast.ts:73</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Account authorities, used to manually set account keys.
							Can not be used together with the password option.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="creator" class="tsd-anchor"></a>
					<h3>creator</h3>
					<div class="tsd-signature tsd-kind-icon">creator<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in helpers/broadcast.ts:83</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Creator account, fee will be deducted from this and the key to sign
							the transaction must be the creators active key.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="delegation" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> delegation</h3>
					<div class="tsd-signature tsd-kind-icon">delegation<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in helpers/broadcast.ts:93</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Account delegation, amount of VESTS to delegate to the new account.
								If omitted the delegation amount will be the lowest possible based
							on the fee. Can be set to zero to disable delegation.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="fee" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> fee</h3>
					<div class="tsd-signature tsd-kind-icon">fee<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in helpers/broadcast.ts:87</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Account creation fee. If omitted fee will be set to lowest possible.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="metadata" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> metadata</h3>
					<div class="tsd-signature tsd-kind-icon">metadata<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-symbol">{}</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in helpers/broadcast.ts:97</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Optional account meta-data.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="password" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagOptional">Optional</span> password</h3>
					<div class="tsd-signature tsd-kind-icon">password<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in helpers/broadcast.ts:68</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Password for the new account, if set, all keys will be derived from this.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="username" class="tsd-anchor"></a>
					<h3>username</h3>
					<div class="tsd-signature tsd-kind-icon">username<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in helpers/broadcast.ts:64</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Username for the new account.</p>
						</div>
					</div>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-interface">
						<a href="createaccountoptions.html" class="tsd-kind-icon">Create<wbr>Account<wbr>Options</a>
						<ul>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="createaccountoptions.html#auths" class="tsd-kind-icon">auths</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="createaccountoptions.html#creator" class="tsd-kind-icon">creator</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="createaccountoptions.html#delegation" class="tsd-kind-icon">delegation</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="createaccountoptions.html#fee" class="tsd-kind-icon">fee</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="createaccountoptions.html#metadata" class="tsd-kind-icon">metadata</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="createaccountoptions.html#password" class="tsd-kind-icon">password</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="createaccountoptions.html#username" class="tsd-kind-icon">username</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>